Bug 1275380 - Error while viewing Cloud tenant summary
Error while viewing Cloud tenant summary
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Milan Zazrivec
Nandini Chandra
:
: 1277793 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 13:43 EDT by Nandini Chandra
Modified: 2015-12-08 08:40 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:40:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-10-26 13:43:36 EDT
Description of problem:
------------------------
CFME throws an error while viewing tenant summary.This is the error text seen on the UI:

uninitialized constant ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp [cloud_tenant/show]


Snippet fom production.log:
[----] F, [2015-10-26T13:18:35.138860 #2902:7d198c] FATAL -- : Error caught: [NameError] uninitialized constant ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:38:in `floatingip_quota_used'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:33:in `floating_ips_quota_used'
/var/www/miq/vmdb/app/models/cloud_resource_quota.rb:11:in `used'
/var/www/miq/vmdb/app/helpers/cloud_tenant_helper/textual_summary.rb:54:in `textual_quotas'
/var/www/miq/vmdb/app/helpers/cloud_tenant_helper/textual_summary.rb:15:in `block in textual_group_quotas'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in `collect'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in `collect'
/var/www/miq/vmdb/app/helpers/cloud_tenant_helper/textual_summary.rb:15:in `textual_group_quotas'
/var/www/miq/vmdb/app/views/cloud_tenant/_main.html.haml:5:in `_app_views_cloud_tenant__main_html_haml___506601614636569594_104998100'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/cloud_tenant/show.html.haml:22:in `_app_views_cloud_tenant_show_html_haml__2740883569068151091_108192660'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/template_renderer.rb:54:in `block (2 levels) in render_template'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'



Version-Release number of selected component (if applicable):
-------------------------------
5.5.0.7


How reproducible:
-------------------
Always


Steps to Reproduce:
-------------------
1.Manage an OSP provider
2.Navigate to the summary page of a tenant
3.


Actual results:
--------------
Error occurs.


Expected results:
----------------
No error


Additional info:
----------------
Comment 3 Milan Zazrivec 2015-10-30 13:19:54 EDT
https://github.com/ManageIQ/manageiq/pull/5204
Comment 4 Ladislav Smola 2015-11-05 08:47:50 EST
*** Bug 1277793 has been marked as a duplicate of this bug. ***
Comment 5 CFME Bot 2015-11-13 12:20:17 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4f42f28fa5cc8377b5fdff43995e02d0d06b195c

commit 4f42f28fa5cc8377b5fdff43995e02d0d06b195c
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Fri Oct 30 18:16:10 2015 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Fri Nov 6 16:10:06 2015 +0100

    Lookup for FloatingIp model in the top level
    
    This is to fix a model lookup problem, which only shows
    in production mode, when accessing tenant details page:
    
    FATAL -- : Error caught: [NameError] uninitialized constant
    ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp
    app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:38:in
    `floatingip_quota_used'
    app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:33:in
    `floating_ips_quota_used'
    app/models/cloud_resource_quota.rb:11:in `used'
    app/helpers/cloud_tenant_helper/textual_summary.rb:54:in
    `textual_quotas'
    app/helpers/cloud_tenant_helper/textual_summary.rb:15:in `block in
    textual_group_quotas'
    activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in
    `collect'
    activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in
    `collect'
    app/helpers/cloud_tenant_helper/textual_summary.rb:15:in
    `textual_group_quotas'
    app/views/cloud_tenant/_main.html.haml:5
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275380

 .../manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-16 16:20:14 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=246516d3ddb77eb1f3060dc93ec055fa35b808a8

commit 246516d3ddb77eb1f3060dc93ec055fa35b808a8
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Fri Oct 30 13:16:10 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Nov 16 11:12:32 2015 -0500

    Lookup for FloatingIp model in the top level
    
    This is to fix a model lookup problem, which only shows
    in production mode, when accessing tenant details page:
    
    FATAL -- : Error caught: [NameError] uninitialized constant
    ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp
    app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:38:in
    `floatingip_quota_used'
    app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:33:in
    `floating_ips_quota_used'
    app/models/cloud_resource_quota.rb:11:in `used'
    app/helpers/cloud_tenant_helper/textual_summary.rb:54:in
    `textual_quotas'
    app/helpers/cloud_tenant_helper/textual_summary.rb:15:in `block in
    textual_group_quotas'
    activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in
    `collect'
    activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in
    `collect'
    app/helpers/cloud_tenant_helper/textual_summary.rb:15:in
    `textual_group_quotas'
    app/views/cloud_tenant/_main.html.haml:5
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275380
    (cherry picked from commit 4f42f28)

 .../manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 CFME Bot 2015-11-16 16:20:40 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=2ec6e58b74a330767be4f4ed6737e58ceeb2299f

commit 2ec6e58b74a330767be4f4ed6737e58ceeb2299f
Merge: 76842d2 246516d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Nov 16 12:50:20 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Mon Nov 16 12:50:20 2015 -0500

    Merge branch '55z_pr_5204' into '5.5.z'
    
    Lookup for FloatingIp model in the top level
    
    This is to fix a model lookup problem, which only shows
    in production mode, when accessing tenant details page:
    
    FATAL -- : Error caught: [NameError] uninitialized constant
    ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp
    app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:38:in
    `floatingip_quota_used'
    app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:33:in
    `floating_ips_quota_used'
    app/models/cloud_resource_quota.rb:11:in `used'
    app/helpers/cloud_tenant_helper/textual_summary.rb:54:in
    `textual_quotas'
    app/helpers/cloud_tenant_helper/textual_summary.rb:15:in `block in
    textual_group_quotas'
    activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in
    `collect'
    activerecord-4.2.4/lib/active_record/relation/delegation.rb:46:in
    `collect'
    app/helpers/cloud_tenant_helper/textual_summary.rb:15:in
    `textual_group_quotas'
    app/views/cloud_tenant/_main.html.haml:5
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275380
    (cherry picked from commit 4f42f28)
    
    @dclarizi please merge, this is clean cherry-pick for https://github.com/ManageIQ/manageiq/pull/5204
    
    See merge request !468

 .../manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 9 Nandini Chandra 2015-11-19 11:42:40 EST
Verified in 5.5.0.11
Comment 11 errata-xmlrpc 2015-12-08 08:40:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.